Package org.eclipse.emf.cdo.spi.common.model

# Class DelegatingCDOPackageRegistry

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.lifecycle.Lifecycle
org.eclipse.emf.cdo.spi.common.model.DelegatingCDOPackageRegistry

All Implemented Interfaces:
  `Map<String,Object>`, `CDOPackageRegistry`, `InternalCDOPackageRegistry`, `EPackage.Registry`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

@Deprecated public abstract class DelegatingCDOPackageRegistry extends org.eclipse.net4j.util.lifecycle.Lifecycle implements InternalCDOPackageRegistry
Deprecated.
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  4.0
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.spi.common.model.InternalCDOPackageRegistry

`InternalCDOPackageRegistry.PackageLoader, InternalCDOPackageRegistry.PackageProcessor`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,V extends Object>`

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`USE_LABEL`

### Fields inherited from interface org.eclipse.emf.ecore.EPackage.Registry

`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`DelegatingCDOPackageRegistry()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`Object`
`basicPut(String nsURI, Object value)`
Deprecated.
`void`
`clear()`
Deprecated.
`boolean`
`containsKey(Object key)`
Deprecated.
`boolean`
`containsValue(Object value)`
Deprecated.
`Set<Map.Entry<String,Object>>`
`entrySet()`
Deprecated.
`Object`
`get(Object key)`
Deprecated.
`protected abstract InternalCDOPackageRegistry`
`getDelegate()`
Deprecated.
`EFactory`
`getEFactory(String nsURI)`
Deprecated.
`EPackage`
`getEPackage(String nsURI)`
Deprecated.
`EPackage[]`
`getEPackages()`
Deprecated.
`InternalCDOPackageInfo`
`getPackageInfo(EPackage ePackage)`
Deprecated.
`InternalCDOPackageInfo[]`
`getPackageInfos()`
Deprecated.
Returns all package infos that are registered in this package registry.
`InternalCDOPackageRegistry.PackageLoader`
`getPackageLoader()`
Deprecated.
`InternalCDOPackageRegistry.PackageProcessor`
`getPackageProcessor()`
Deprecated.
`InternalCDOPackageUnit`
`getPackageUnit(EPackage ePackage)`
Deprecated.
`InternalCDOPackageUnit[]`
`getPackageUnits()`
Deprecated.
Returns all package units that are registered in this package registry.
`boolean`
`isEmpty()`
Deprecated.
`boolean`
`isReplacingDescriptors()`
Deprecated.
`Set<String>`
`keySet()`
Deprecated.
`Object`
`put(String key, Object value)`
Deprecated.
`void`
`putAll(Map<? extends String,? extends Object> t)`
Deprecated.
`Object`
`putEPackage(EPackage ePackage)`
Deprecated.
Registers an `EPackage` with this package registry.
`void`
`putPackageUnit(InternalCDOPackageUnit packageUnit)`
Deprecated.
`Object`
`remove(Object key)`
Deprecated.
`void`
`setPackageLoader(InternalCDOPackageRegistry.PackageLoader packageLoader)`
Deprecated.
`void`
`setPackageProcessor(InternalCDOPackageRegistry.PackageProcessor packageProcessor)`
Deprecated.
`void`
`setReplacingDescriptors(boolean replacingDescriptors)`
Deprecated.
`int`
`size()`
Deprecated.
`Collection<Object>`
`values()`
Deprecated.

### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, doDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.common.model.CDOPackageRegistry

`getEnumLiteralFor, getSubTypes`

### Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`activate, deactivate, getLifecycleState, isActive`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.model.InternalCDOPackageRegistry

`createPackageUnit, getAllKeys, getPackageUnit, getPackageUnits, getPackageUnits, getWithDelegation, putPackageUnits, registerPackageInfo`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

## Constructor Details

### DelegatingCDOPackageRegistry

public DelegatingCDOPackageRegistry()
Deprecated.

## Method Details

### getDelegate

protected abstract InternalCDOPackageRegistry getDelegate()
Deprecated.

### basicPut

public Object basicPut(String nsURI, Object value)
Deprecated.

Specified by:
  `basicPut` in interface `InternalCDOPackageRegistry`

### clear

public void clear()
Deprecated.

Specified by:
  `clear` in interface `Map<String,Object>`

### containsKey

public boolean containsKey(Object key)
Deprecated.

Specified by:
  `containsKey` in interface `Map<String,Object>`

### containsValue

public boolean containsValue(Object value)
Deprecated.

Specified by:
  `containsValue` in interface `Map<String,Object>`

### entrySet

public Set<Map.Entry<String,Object>> entrySet()
Deprecated.

Specified by:
  `entrySet` in interface `Map<String,Object>`

### get

public Object get(Object key)
Deprecated.

Specified by:
  `get` in interface `Map<String,Object>`

### getEFactory

public EFactory getEFactory(String nsURI)
Deprecated.

Specified by:
  `getEFactory` in interface `EPackage.Registry`

### getEPackage

public EPackage getEPackage(String nsURI)
Deprecated.

Specified by:
  `getEPackage` in interface `EPackage.Registry`

### getEPackages

public EPackage[] getEPackages()
Deprecated.

Specified by:
  `getEPackages` in interface `InternalCDOPackageRegistry`

### getPackageInfo

public InternalCDOPackageInfo getPackageInfo(EPackage ePackage)
Deprecated.

Specified by:
  `getPackageInfo` in interface `CDOPackageRegistry`
Specified by:
  `getPackageInfo` in interface `InternalCDOPackageRegistry`

### getPackageInfos

public InternalCDOPackageInfo[] getPackageInfos()
Deprecated.
Description copied from interface: `CDOPackageRegistry`
Returns all package infos that are registered in this package registry.

Specified by:
  `getPackageInfos` in interface `CDOPackageRegistry`
Specified by:
  `getPackageInfos` in interface `InternalCDOPackageRegistry`

### getPackageLoader

public InternalCDOPackageRegistry.PackageLoader getPackageLoader()
Deprecated.

Specified by:
  `getPackageLoader` in interface `InternalCDOPackageRegistry`

### getPackageProcessor

public InternalCDOPackageRegistry.PackageProcessor getPackageProcessor()
Deprecated.

Specified by:
  `getPackageProcessor` in interface `InternalCDOPackageRegistry`

### getPackageUnit

public InternalCDOPackageUnit getPackageUnit(EPackage ePackage)
Deprecated.

Specified by:
  `getPackageUnit` in interface `CDOPackageRegistry`
Specified by:
  `getPackageUnit` in interface `InternalCDOPackageRegistry`

### getPackageUnits

public InternalCDOPackageUnit[] getPackageUnits()
Deprecated.
Description copied from interface: `CDOPackageRegistry`
Returns all package units that are registered in this package registry.

Specified by:
  `getPackageUnits` in interface `CDOPackageRegistry`
Specified by:
  `getPackageUnits` in interface `InternalCDOPackageRegistry`

### isEmpty

public boolean isEmpty()
Deprecated.

Specified by:
  `isEmpty` in interface `Map<String,Object>`

### isReplacingDescriptors

public boolean isReplacingDescriptors()
Deprecated.

Specified by:
  `isReplacingDescriptors` in interface `CDOPackageRegistry`

### keySet

public Set<String> keySet()
Deprecated.

Specified by:
  `keySet` in interface `Map<String,Object>`

### put

public Object put(String key, Object value)
Deprecated.

Specified by:
  `put` in interface `Map<String,Object>`

### putAll

public void putAll(Map<? extends String,? extends Object> t)
Deprecated.

Specified by:
  `putAll` in interface `Map<String,Object>`

### putEPackage

public Object putEPackage(EPackage ePackage)
Deprecated.
Description copied from interface: `CDOPackageRegistry`
Registers an `EPackage` with this package registry.

Specified by:
  `putEPackage` in interface `CDOPackageRegistry`

### putPackageUnit

public void putPackageUnit(InternalCDOPackageUnit packageUnit)
Deprecated.

Specified by:
  `putPackageUnit` in interface `InternalCDOPackageRegistry`

### remove

public Object remove(Object key)
Deprecated.

Specified by:
  `remove` in interface `Map<String,Object>`

### setPackageLoader

public void setPackageLoader(InternalCDOPackageRegistry.PackageLoader packageLoader)
Deprecated.

Specified by:
  `setPackageLoader` in interface `InternalCDOPackageRegistry`

### setPackageProcessor

public void setPackageProcessor(InternalCDOPackageRegistry.PackageProcessor packageProcessor)
Deprecated.

Specified by:
  `setPackageProcessor` in interface `InternalCDOPackageRegistry`

### setReplacingDescriptors

public void setReplacingDescriptors(boolean replacingDescriptors)
Deprecated.

Specified by:
  `setReplacingDescriptors` in interface `InternalCDOPackageRegistry`

### size

public int size()
Deprecated.

Specified by:
  `size` in interface `Map<String,Object>`

### values

public Collection<Object> values()
Deprecated.

Specified by:
  `values` in interface `Map<String,Object>`